Author Topic: Devkit 44b software setup problem?  (Read 7994 times)

jbeale

  • Newbie
  • *
  • Posts: 3
    • View Profile
Devkit 44b software setup problem?
« on: July 17, 2007, 06:43:02 PM »
I am running WinXP SP2. I have the MPLAB IDE Version 7.61 installed, and also Hi-Tech PICC-Lite version 9.60.  The PICL.EXE file is installed as C:\Program Files\HI-TECH Software\PICC\lite\9.60\bin\picl.exe

Today, I received the Modtronix Devkit 44b, with a PIC16F877A installed. The board runs the demo program OK on powerup. Now I want to start my development. I installed the provided Modtronix software on my PC.  When I double-click on the project file

C:\modtronix\devkit44b_v110\src\demo1\demo1_ht877.mcp

...it starts to open in MPLAB, but then I get this error message:

MPLAB IDE Project Manager: 
The project file references a language toolsuite that you currently do not have installed on your system.

The uninstalled suite has ID "{93566987-1A5D-48B8-8EFC-4B3A423573F9}" and name "(Unknown)".
If you continue, the project will be modified to use another language toosuite.
[OK]

[!] Unable to load the workspace because the format of the workspace has changed.

I'm not sure if the problem is with the provided project file, or I am using an incompatible or mis-installed version of MPLAB or PICC.  Can you help? Thank you!

---
John Beale
www.bealecorner.com

jbeale

  • Newbie
  • *
  • Posts: 3
    • View Profile
Re: Devkit 44b software setup problem?
« Reply #1 on: July 27, 2007, 02:52:57 PM »
10 days later... I gather no one else has experienced this problem?  Can anyone point me to the correct setup settings so I can start my own project and not have the board lock permanently because i have the crystal oscillator setting wrong, or overwrote the bootloader code, etc. ?
« Last Edit: July 27, 2007, 02:55:19 PM by jbeale »

xordis

  • Newbie
  • *
  • Posts: 1
    • View Profile
Re: Devkit 44b software setup problem?
« Reply #2 on: August 19, 2007, 12:07:26 AM »
any luck here?

I am getting the same message.
Newly installed MPLAB IDE v7.60 with source off the modtronix website

jbeale

  • Newbie
  • *
  • Posts: 3
    • View Profile
Re: Devkit 44b software setup problem?
« Reply #3 on: August 29, 2007, 09:18:52 PM »
I'm not sure anyone really uses this board- anyway, my best guess is that the Modtronix project will only open with some old version of MPLab- but I have no idea what version that is!  I had to just start a new project from scratch. 

modtro2

  • Administrator
  • Hero Member
  • *****
  • Posts: 564
    • View Profile
Re: Devkit 44b software setup problem?
« Reply #4 on: September 12, 2007, 05:04:46 PM »
I just did a test and installed MPLAB V7.6, the HiTech compiler, and it all works. After installing MPLAB, install the Hi Tech demo compiler supplied on the CD. Then open MPLAB, and select <project><open> in the menu. Select the "demo1_ht877.mcp" project located in the "../src/demo1" folder. The project opened fine, and I could built it with MPLAB.

Alternatively you can try the V1.20 beta code at:
http://forum.modtronix.com/index.php?topic=321.0